Subject: Fw: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Mon, 17 Jun 2013 15:50:40 -0400

Amber,
Please find out exactly what they need and take care of this for me. 
Thank you,
Michael B
LLPS

From: LLPS 
Sent: Monday, June 17, 2013 3:48 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Roxanne Robertson

Company: Kentucky Farmworker Programs

E-mail Address: [email-masked]

Telephone: 270-782-2330 x2

Message: I have requested ( 3 times ) an email or fax receipt for our billing
purposes. 
I have ordered the labor law posters and received them. But to date I
have not received a statement showing I purchased these. Conf#
1720648 
I need this receipt for audit purposes with our agency. 
Thank You 
Roxanne Robertson

Request generated on June 17th, 2013 at 3:48 PM EST from the IP address 98.93.131.45